Loading...
Searching...
No Matches
fastjet::PrunerStructure Class Reference
FastJet tools » Generic tools

The structure associated with a PseudoJet thas has gone through a Pruner transformer. More...

`#include <fastjet/tools/Pruner.hh>`

Inheritance diagram for fastjet::PrunerStructure:
[legend]
Collaboration diagram for fastjet::PrunerStructure:
[legend]

## Public Member Functions

| PrunerStructure (const PseudoJet &result_jet)
| default ctor
virtual std::string | description () const
| description
std::vector< PseudoJet > | rejected () const
| return the constituents that have been rejected
std::vector< PseudoJet > | extra_jets () const
| return the other jets that may have been found along with the result of the pruning The resulting vector is sorted in pt
double | Rcut () const
| return the value of Rcut that was used for this specific pruning.
double | zcut () const
| return the value of Rcut that was used for this specific pruning.
Public Member Functions inherited from fastjet::WrappedStructure
| WrappedStructure (const SharedPtr< PseudoJetStructureBase > &to_be_shared)
| default ctor the argument is the structure we need to wrap
virtual | ~WrappedStructure ()
| default (virtual) dtor
virtual bool | has_associated_cluster_sequence () const override
| returns true if there is an associated ClusterSequence
virtual const ClusterSequence * | associated_cluster_sequence () const override
| get a (const) pointer to the parent ClusterSequence (NULL if inexistent)
virtual bool | has_valid_cluster_sequence () const override
| returns true if this PseudoJet has an associated and still valid ClusterSequence.
virtual const ClusterSequence * | validated_cs () const override
| if the jet has a valid associated cluster sequence then return a pointer to it; otherwise throw an error
virtual const ClusterSequenceAreaBase * | validated_csab () const override
| if the jet has valid area information then return a pointer to the associated ClusterSequenceAreaBase object; otherwise throw an error
virtual bool | has_partner (const PseudoJet &reference, PseudoJet &partner) const override
| check if it has been recombined with another PseudoJet in which case, return its partner through the argument.
virtual bool | has_child (const PseudoJet &reference, PseudoJet &child) const override
| check if it has been recombined with another PseudoJet in which case, return its child through the argument.
virtual bool | has_parents (const PseudoJet &reference, PseudoJet &parent1, PseudoJet &parent2) const override
| check if it is the product of a recombination, in which case return the 2 parents through the 'parent1' and 'parent2' arguments.
virtual bool | object_in_jet (const PseudoJet &reference, const PseudoJet &jet) const override
| check if the reference PseudoJet is contained the second one passed as argument.
virtual bool | has_constituents () const override
| return true if the structure supports constituents.
virtual std::vector< PseudoJet > | constituents (const PseudoJet &reference) const override
| retrieve the constituents.
virtual bool | has_exclusive_subjets () const override
| return true if the structure supports exclusive_subjets.
virtual std::vector< PseudoJet > | exclusive_subjets (const PseudoJet &reference, const double &dcut) const override
| return a vector of all subjets of the current jet (in the sense of the exclusive algorithm) that would be obtained when running the algorithm with the given dcut.
virtual int | n_exclusive_subjets (const PseudoJet &reference, const double &dcut) const override
| return the size of exclusive_subjets(...); still n ln n with same coefficient, but marginally more efficient than manually taking exclusive_subjets.size()
virtual std::vector< PseudoJet > | exclusive_subjets_up_to (const PseudoJet &reference, int nsub) const override
| return the list of subjets obtained by unclustering the supplied jet down to n subjets (or all constituents if there are fewer than n).
virtual double | exclusive_subdmerge (const PseudoJet &reference, int nsub) const override
| return the dij that was present in the merging nsub+1 -> nsub subjets inside this jet.
virtual double | exclusive_subdmerge_max (const PseudoJet &reference, int nsub) const override
| return the maximum dij that occurred in the whole event at the stage that the nsub+1 -> nsub merge of subjets occurred inside this jet.
virtual bool | has_pieces (const PseudoJet &reference) const override
| return true if the structure supports pieces.
virtual std::vector< PseudoJet > | pieces (const PseudoJet &reference) const override
| retrieve the pieces building the jet.
virtual bool | has_area () const override
| check if it has a defined area
virtual double | area (const PseudoJet &reference) const override
| return the jet (scalar) area.
virtual double | area_error (const PseudoJet &reference) const override
| return the error (uncertainty) associated with the determination of the area of this jet.
virtual PseudoJet | area_4vector (const PseudoJet &reference) const override
| return the jet 4-vector area.
virtual bool | is_pure_ghost (const PseudoJet &reference) const override
| true if this jet is made exclusively of ghosts.
Public Member Functions inherited from fastjet::PseudoJetStructureBase
| PseudoJetStructureBase ()
| default ctor
virtual | ~PseudoJetStructureBase ()
| default (virtual) dtor

## Friends

class | Pruner
| to allow setting the internal information

## Additional Inherited Members

SharedPtr< PseudoJetStructureBase > | _structure
| the wrapped structure

## Detailed Description

The structure associated with a PseudoJet thas has gone through a Pruner transformer.

Definition at line 189 of file Pruner.hh.

## Constructor & Destructor Documentation

## PrunerStructure()

fastjet::PrunerStructure::PrunerStructure | ( | const PseudoJet & | result_jet | ) |

inline

default ctor

Parameters

  result_jet | the jet for which we have to keep the structure

Definition at line 193 of file Pruner.hh.

## Member Function Documentation

## description()

virtual std::string fastjet::PrunerStructure::description | ( |  | ) | const

inline virtual

description

Reimplemented from fastjet::WrappedStructure.

Definition at line 197 of file Pruner.hh.

## rejected()

std::vector< PseudoJet > fastjet::PrunerStructure::rejected | ( |  | ) | const

inline

return the constituents that have been rejected

Definition at line 200 of file Pruner.hh.

## extra_jets()

vector< PseudoJet > fastjet::PrunerStructure::extra_jets | ( |  | ) | const

return the other jets that may have been found along with the result of the pruning The resulting vector is sorted in pt

Definition at line 211 of file Pruner.cc.

## Rcut()

double fastjet::PrunerStructure::Rcut | ( |  | ) | const

inline

return the value of Rcut that was used for this specific pruning.

Definition at line 210 of file Pruner.hh.

## zcut()

double fastjet::PrunerStructure::zcut | ( |  | ) | const

inline

return the value of Rcut that was used for this specific pruning.

Definition at line 213 of file Pruner.hh.

## Friends And Related Symbol Documentation

## Pruner

friend class Pruner

friend

to allow setting the internal information

Definition at line 216 of file Pruner.hh.

The documentation for this class was generated from the following files:

- tools/fastjet/tools/Pruner.hh
- tools/Pruner.cc